apiVersion: v1
kind: ConfigMap
metadata:
  namespace: kube-system
  name: traefik-conf
data:
  traefik.toml: |
    # traefik.toml
    logLevel = "DEBUG"
    defaultEntryPoints = ["http","https"]
    [entryPoints]
      [entryPoints.http]
      address = ":80"
      [entryPoints.http.redirect]
      entryPoint = "https"
      [entryPoints.https]
      address = ":443"
      [entryPoints.https.tls]
    [kubernetes]
    [web]
    address = ":8080"
    [acme]
    email = "fabien@huitelec.fr"
    storage = "traefik/acme/account"
    entryPoint = "https"
    onDemand = true
    onHostRule = true
    [[acme.domains]]
    main = "huitelec.fr"
    [consul]
    endpoint = "traefik-consul.kube-system:8500"
    watch = true
    prefix = "traefik"